## k4dirstat 2.7.2

=== CMakeLists.txt ===
project(k4dirstat)

SET(QT_USE_QT3SUPPORT true)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
find_package(LibKonq REQUIRED)
find_package(ZLIB)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${QT_GUI_INCLUDES} ${QT_QT3SUPPORT_INCLUDES} )

ADD_DEFINITIONS(-DQT3_SUPPORT -D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
REMOVE_DEFINITIONS(-DQT_NO_DEBUG)

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )

=== debian/changelog ===
k4dirstat (2.7.2-1) unstable; urgency=low

  * New upstream release
    - Fix wrong read job report (closes: #647052)
    - Do not delete the whole parent directory when deleting a file
      containing a $ in its name.
    - Fix subtree percentage column rendering
  * Change upstream URL and owner
  * Fixed unversioned-copyright-format-url lintian message

 -- Jerome Robert <jeromerobert@gmx.com>  Fri, 11 Nov 2011 22:20:49 +0100

k4dirstat (2.7.0~git20101011-1) unstable; urgency=low

  * Initial release. (closes: #626986)

 -- Jerome Robert <jeromerobert@gmx.com>  Wed, 01 Jun 2011 21:42:18 +0200

## k4dirstat 2.7.3

=== debian/changelog ===
k4dirstat (2.7.3-1) unstable; urgency=low

  * New upstream release
    - Fix "delete (no way to undelete)" action
    - Add translation
    - Add a couple of file types to have a bit more color in the treemap

 -- Jerome Robert <jeromerobert@gmx.com>  Sat, 17 Dec 2011 12:35:50 +0100

=== debian/control ===
Source: k4dirstat
Section: misc
Priority: optional
Maintainer: Jerome Robert <jeromerobert@gmx.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.6.2), cmake, zlib1g-dev, libkonq5-dev, kdelibs5-dev
Standards-Version: 3.9.2
Vcs-Git: http://bitbucket.org/jeromerobert/k4dirstat.git
Homepage: http://bitbucket.org/jeromerobert/k4dirstat

Package: k4dirstat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graphical disk usage display with cleanup facilities
 K4DirStat (KDE 4 Directory Statistics) is a small utility program that sums
 up disk usage for directory trees, very much like the Unix 'du' command.
 It displays the disk space used up by a directory tree, both numerically
 and graphically.  It is network transparent (i.e., you can use it to sum
 up FTP servers), and comes with predefined and user configurable cleanup
 actions.  You can directly open a directory branch in Konqueror or the
 shell of your choice, compress it to a .tar.bz2 archive, or define your
 own cleanup actions.

Package: kdirstat
Architecture: all
Depends: ${misc:Depends}, k4dirstat
Description: Transitional package for k4dirstat
 This is a transitional dummy package to ease the migration
 from the kdirstat to the new k4dirstat package.

## k4dirstat 2.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )
+add_subdirectory( po )

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
 	MESSAGE(
"------
 	NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	                  
	SET(catalogname k4dirstat)
	ADD_CUSTOM_TARGET(translations ALL)
 	                                    
	FILE(GLOB PO_FILES *.po)
 	                                             
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
 	    STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
 	    STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 	                                                                                   
 	    IF( _langCode )
 	        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
 	        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 	                                                                              
 	        ADD_CUSTOM_COMMAND(TARGET translations
 	            COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
 	            DEPENDS ${_poFile})
 	        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
 	    ENDIF( _langCode )
 	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
set(k4dirstat_SRCS
   k4dirstat.cpp
   main.cpp
   #k4dirstatview.cpp
   ktreemapview.cpp
   kcleanupcollection.cpp
   kfileinfo.cpp
   kdirtreeview.cpp
   ktreemaptile.cpp
   kstdcleanup.cpp
   kcleanup.cpp
   kdirsaver.cpp
   kdirtree.cpp
   kexcluderules.cpp
   kdirreadjob.cpp
   kdirinfo.cpp
   kdirtreecache.cpp
   kdirtreeiterators.cpp
   kpacman.cpp
   #kpacman_dummy.cpp
   kdirstatsettings.cpp
 )

#kde4_add_ui_files(k4dirstat_SRCS k4dirstatview_base.ui prefs_base.ui)

kde4_add_kcfg_files(k4dirstat_SRCS settings.kcfgc )

kde4_add_executable(k4dirstat ${k4dirstat_SRCS})

target_link_libraries(k4dirstat ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS}
    ${QT_QTGUI_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    ${KDE4_KDE3SUPPORT_LIBRARY}
    ${LIBKONQ_LIBRARY}
    ${ZLIB_LIBRARIES})

install(TARGETS k4dirstat ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES k4dirstat.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES k4dirstat.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES k4dirstatui.rc  DESTINATION  ${DATA_INSTALL_DIR}/k4dirstat )

=== doc/en/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k4dirstat)

=== debian/changelog ===
k4dirstat (2.7.4-1) unstable; urgency=low

  * New upstream release
    - Remove broken PacMan widgets (LP: #1062405)
    - Add a scalable and 48x48 icon
    - Support empty sparse file
  * Update the Vcs-Git tag
  * Bump Standards-Version to 3.9.4

 -- Jerome Robert <jeromerobert@gmx.com>  Wed, 27 Mar 2013 23:40:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.6.2), cmake, zlib1g-dev, libkonq5-dev, kdelibs5-dev
-Standards-Version: 3.9.2
-Vcs-Git: http://bitbucket.org/jeromerobert/k4dirstat.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/k4dirstat.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/k4dirstat.git
 Homepage: http://bitbucket.org/jeromerobert/k4dirstat
 
 Package: k4dirstat

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with kde

override_dh_auto_install:
	dh_auto_install --buildsystem=kde --destdir=debian/k4dirstat

=== debian/watch ===
version=3
http://bitbucket.org/jeromerobert/k4dirstat/downloads get/k4dirstat-([0-9\.]+)\.tar\.bz2

## k4dirstat 2.7.5

=== debian/changelog ===
k4dirstat (2.7.5-1) unstable; urgency=medium

  * New upstream release
    - Apostrophes not properly escaped in 'rm -rf' invocation (closes: #741659)

 -- Jerome Robert <jeromerobert@gmx.com>  Sat, 15 Mar 2014 17:11:14 +0100

## k4dirstat 2.7.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,29 @@
+cmake_minimum_required(VERSION 2.8.0)
 project(k4dirstat)
+
+function(git_version output_variable default_version strip_string)
+    option(K4DIRSTAT_GIT_VERSION "Get the version string from git describe" ON)
+    if(K4DIRSTAT_GIT_VERSION)
+        find_package(Git)
+        if(GIT_FOUND)
+            execute_process(COMMAND "${GIT_EXECUTABLE}"
+                describe --dirty=-dirty --always --tags
+                OUTPUT_VARIABLE _GIT_DESCRIBE ERROR_QUIET)
+            if(_GIT_DESCRIBE)
+                string(REPLACE ${strip_string} "" ${output_variable} ${_GIT_DESCRIBE})
+                string(STRIP ${${output_variable}} ${output_variable})
+            endif()
+        endif()
+    endif()
+    if(NOT ${output_variable})
+        # It would be better use only git and add a make dist target for Linux distro
+        # but this would require to upload dist tarball on Bitbucket and I prefere using
+        # the Bitbucket download tag feature.
+        set(${output_variable} ${default_version})
+    endif()
+    message(STATUS "Version string is ${${output_variable}}")
+    add_definitions(-D${output_variable}=${${output_variable}})
+endfunction()
 
 SET(QT_USE_QT3SUPPORT true)
 
@@ -12,6 +37,7 @@
 ADD_DEFINITIONS(-DQT3_SUPPORT -D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
 REMOVE_DEFINITIONS(-DQT_NO_DEBUG)
 
+git_version(K4DIRSTAT_VERSION 2.7.8 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== debian/changelog ===
k4dirstat (2.7.8-1) unstable; urgency=medium

  * New upstream release
    - Fix About dialog version again

 -- Jerome Robert <jeromerobert@gmx.com>  Sat, 25 Oct 2014 17:22:42 +0200

k4dirstat (2.7.7-1) unstable; urgency=low

  * New upstream release
    - Fix cache files (closes: #765945)

 -- Jerome Robert <jeromerobert@gmx.com>  Mon, 20 Oct 2014 20:03:37 +0200

k4dirstat (2.7.6-1) unstable; urgency=low

  * New upstream release
    - Fix About dialog version (LP: #1362626)
    - Improve translation (nl, it)
  * Remove the kdirstat transitional package
  * Bump Standards-Version to 3.9.5

 -- Jerome Robert <jeromerobert@gmx.com>  Sun, 31 Aug 2014 15:16:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.6.2), cmake, zlib1g-dev, libkonq5-dev, kdelibs5-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/k4dirstat.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/k4dirstat.git
 Homepage: http://bitbucket.org/jeromerobert/k4dirstat
@@ -20,11 +20,3 @@
  actions.  You can directly open a directory branch in Konqueror or the
  shell of your choice, compress it to a .tar.bz2 archive, or define your
  own cleanup actions.
-
-Package: kdirstat
-Architecture: all
-Depends: ${misc:Depends}, k4dirstat
-Description: Transitional package for k4dirstat
- This is a transitional dummy package to ease the migration
- from the kdirstat to the new k4dirstat package.
-

## k4dirstat 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.0)
+cmake_minimum_required(VERSION 2.8.12)
 project(k4dirstat)
 
 function(git_version output_variable default_version strip_string)
@@ -25,20 +25,37 @@
     add_definitions(-D${output_variable}=${${output_variable}})
 endfunction()
 
-SET(QT_USE_QT3SUPPORT true)
+include(CheckCCompilerFlag)
+check_c_compiler_flag(-Wl,--as-needed has_as_needed)
+if (has_as_needed)
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
+endif()
 
-find_package(KDE4 REQUIRED)
-include (KDE4Defaults)
-find_package(LibKonq REQUIRED)
+find_package(ECM REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+include(FeatureSummary)
+
+find_package(Qt5 REQUIRED COMPONENTS Widgets)
+find_package(KF5 REQUIRED COMPONENTS CoreAddons GuiAddons I18n DocTools KDELibs4Support XmlGui KIO JobWidgets)
 find_package(ZLIB)
 
-include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${QT_GUI_INCLUDES} ${QT_QT3SUPPORT_INCLUDES} )
+ADD_DEFINITIONS(-D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
 
-ADD_DEFINITIONS(-DQT3_SUPPORT -D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
+option(ENABLE_KDELIBS4SUPPORT_WARNING "Show kdelibs4support warning")
+if(NOT ENABLE_KDELIBS4SUPPORT_WARNING)
+  add_definitions("-DKDELIBS4SUPPORT_DEPRECATED=__attribute__ (())")
+endif()
+
 REMOVE_DEFINITIONS(-DQT_NO_DEBUG)
 
-git_version(K4DIRSTAT_VERSION 2.7.8 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.0 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )
 add_subdirectory( po )
+
+install(FILES k4dirstat.1 DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
ecm_install_icons( ${ICON_INSTALL_DIR}   )

=== src/CMakeLists.txt ===
qt5_add_resources(UI_RCC k4dirstatui.qrc)
set(k4dirstat_SRCS
   k4dirstat.cpp
   ${UI_RCC}
   main.cpp
   #k4dirstatview.cpp
   ktreemapview.cpp
   kcleanupcollection.cpp
   kfileinfo.cpp
   kdirtreeview.cpp
   ktreemaptile.cpp
   kstdcleanup.cpp
   kcleanup.cpp
   kdirtree.cpp
   kexcluderules.cpp
   kdirreadjob.cpp
   kdirinfo.cpp
   kdirtreecache.cpp
   kdirtreeiterators.cpp
   kdirstatsettings.cpp
 )

kconfig_add_kcfg_files(k4dirstat_SRCS settings.kcfgc )

add_executable(k4dirstat ${k4dirstat_SRCS})

target_link_libraries(k4dirstat ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS}
    ${QT_QTGUI_LIBS}
    ${LIBKONQ_LIBRARY}
    ${ZLIB_LIBRARIES})

install(TARGETS k4dirstat ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES k4dirstat.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES k4dirstat.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== debian/changelog ===
k4dirstat (3.0-1) unstable; urgency=low

  * New upstream release
    - Port to KDE Framework 5
  * Bump Standards-Version to 3.9.6
  * Bump debhelper version to 9

 -- Jerome Robert <jeromerobert@gmx.com>  Fri, 15 May 2015 12:49:30 +0200

=== debian/control ===
Source: k4dirstat
Section: misc
Priority: optional
Maintainer: Jerome Robert <jeromerobert@gmx.com>
Build-Depends: debhelper (>= 9.0), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
 libkf5xmlgui-dev, kdoctools-dev, libkf5kdelibs4support-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/k4dirstat.git
Vcs-Git: git://anonscm.debian.org/collab-maint/k4dirstat.git
Homepage: http://bitbucket.org/jeromerobert/k4dirstat

Package: k4dirstat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xdg-utils
Description: graphical disk usage display with cleanup facilities
 K4DirStat (KDE Directory Statistics) is a small utility program that sums
 up disk usage for directory trees, very much like the Unix 'du' command.
 It displays the disk space used up by a directory tree, both numerically
 and graphically.  It is network transparent (i.e., you can use it to sum
 up FTP servers), and comes with predefined and user configurable cleanup
 actions.  You can directly open a directory branch in Konqueror or the
 shell of your choice, compress it to a .tar.bz2 archive, or define your
 own cleanup actions.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with kde

override_dh_auto_install:
	dh_auto_install --buildsystem=kde --parallel

## k4dirstat 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,19 +40,14 @@
 include(FeatureSummary)
 
 find_package(Qt5 REQUIRED COMPONENTS Widgets)
-find_package(KF5 REQUIRED COMPONENTS CoreAddons GuiAddons I18n DocTools KDELibs4Support XmlGui KIO JobWidgets)
+find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n DocTools XmlGui KIO JobWidgets IconThemes)
 find_package(ZLIB)
 
 ADD_DEFINITIONS(-D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
 
-option(ENABLE_KDELIBS4SUPPORT_WARNING "Show kdelibs4support warning")
-if(NOT ENABLE_KDELIBS4SUPPORT_WARNING)
-  add_definitions("-DKDELIBS4SUPPORT_DEPRECATED=__attribute__ (())")
-endif()
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-REMOVE_DEFINITIONS(-DQT_NO_DEBUG)
-
-git_version(K4DIRSTAT_VERSION 3.0 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.1.1 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
    k4dirstat.cpp
    ${UI_RCC}
    main.cpp
-   #k4dirstatview.cpp
    ktreemapview.cpp
    kcleanupcollection.cpp
    kfileinfo.cpp
@@ -24,9 +23,9 @@
 
 add_executable(k4dirstat ${k4dirstat_SRCS})
 
-target_link_libraries(k4dirstat ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS}
+target_link_libraries(k4dirstat KF5::XmlGui KF5::KIOCore
+    KF5::KIOWidgets KF5::I18n KF5::IconThemes
     ${QT_QTGUI_LIBS}
-    ${LIBKONQ_LIBRARY}
     ${ZLIB_LIBRARIES})
 
 install(TARGETS k4dirstat ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
k4dirstat (3.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Jerome Robert <jeromerobert@gmx.com>  Sun, 22 Nov 2015 20:54:53 +0100

k4dirstat (3.1+repack-1) unstable; urgency=low

  * Fix a wrong orig tarball import (closes: #797907)

 -- Jerome Robert <jeromerobert@gmx.com>  Thu, 03 Sep 2015 23:57:23 +0200

k4dirstat (3.1-1) unstable; urgency=low

  * New upstream release
    - No longer depends on KDELibs4Support
    - Fix settings management
  * Never get the version from git describe

 -- Jerome Robert <jeromerobert@gmx.com>  Tue, 01 Sep 2015 17:40:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper (>= 9.0), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
- libkf5xmlgui-dev, kdoctools-dev, libkf5kdelibs4support-dev
+ libkf5xmlgui-dev, kdoctools-dev, kio-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/k4dirstat.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/k4dirstat.git

## k4dirstat 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-git_version(K4DIRSTAT_VERSION 3.1.1 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.1.3 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== debian/changelog ===
k4dirstat (3.1.3-1) unstable; urgency=medium

  * Update VCS URLs to salsa
  * Update KDE5 build deps to libkf5*-dev (closes: #885387)
  * Bump Standards-Version
  * Fix uscan/watch file
  * New upstream version 3.1.3

 -- Jerome Robert <jeromerobert@gmx.com>  Sat, 30 Dec 2017 16:51:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper (>= 9.0), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
- libkf5xmlgui-dev, kdoctools-dev, kio-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/k4dirstat.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/k4dirstat.git
+ libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
+Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: http://bitbucket.org/jeromerobert/k4dirstat
 
 Package: k4dirstat

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DK4DIRSTAT_GIT_VERSION=OFF

override_dh_auto_install:
	dh_auto_install --buildsystem=kde --parallel

=== debian/watch ===
version=4
https://bitbucket.org/jeromerobert/k4dirstat/downloads/?tab=tags .*/k4dirstat-([0-9\.]+)\.tar\.bz2

## k4dirstat 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-git_version(K4DIRSTAT_VERSION 3.1.3 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.2.0 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
    kdirreadjob.cpp
    kdirinfo.cpp
    kdirtreecache.cpp
-   kdirtreeiterators.cpp
    kdirstatsettings.cpp
  )

=== debian/changelog ===
k4dirstat (3.2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:52 +0100

k4dirstat (3.2.0-1) unstable; urgency=medium

  * Update watch file (upstream move to Github)
  * New upstream version 3.2.0
  * Bump Standards-Version

 -- Jerome Robert <jeromerobert@gmx.com>  Tue, 28 Jan 2020 20:55:32 +0100

k4dirstat (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4
  * Bump Standards-Version

 -- Jerome Robert <jeromerobert@gmx.com>  Sat, 16 Feb 2019 20:16:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper (>= 9.0), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: http://bitbucket.org/jeromerobert/k4dirstat

## k4dirstat 3.2.1

=== debian/changelog ===
k4dirstat (3.2.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Use the kf5 dh addon instead of kde (closes: #950323)

  [ Jerome Robert ]
  * Bump the debhelper compatibility to >= 12 (closes: #950322)
  * Update upstream URL
  * New upstream version 3.2.1
    - Fix crashes on startup in some certain KIO related circumstances
      (LP: #1873637)

 -- Jerome Robert <jeromerobert@gmx.com>  Mon, 20 Apr 2020 12:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
-Build-Depends: debhelper (>= 9.0), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
+Build-Depends: debhelper-compat (= 12), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
-Homepage: http://bitbucket.org/jeromerobert/k4dirstat
+Homepage: https://github.com/jeromerobert/k4dirstat
 
 Package: k4dirstat
 Architecture: any

## k4dirstat 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-git_version(K4DIRSTAT_VERSION 3.2.0 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.2.2 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== debian/changelog ===
k4dirstat (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
    - Save "Show treemap" status
    - Fix a segfault after reading a cache file
  * Bump Standards-Version

 -- Jerome Robert <jeromerobert@gmx.com>  Thu, 24 Dec 2020 16:37:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper-compat (= 12), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: https://github.com/jeromerobert/k4dirstat

## k4dirstat 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.16.0)
 project(k4dirstat)
 
 function(git_version output_variable default_version strip_string)
@@ -46,8 +46,9 @@
 ADD_DEFINITIONS(-D_LARGE_FILES -D_FILE_OFFSET_BITS=64)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
 
-git_version(K4DIRSTAT_VERSION 3.2.2 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.4.0 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== doc/en/CMakeLists.txt ===
########### install files ###############
#

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k4dirstat)

=== debian/changelog ===
k4dirstat (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Jerome Robert <jeromerobert@gmx.com>  Sun, 02 Jan 2022 11:34:15 +0100

k4dirstat (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
    - Show free space in the status bar
    - Refresh tree after deleting a file
    - Fix a crash when clicking on the name column
    - Quote %-escapes strings in the .desktop Exec key (closes: #987694)
  * Bump Standards-Version

 -- Jerome Robert <jeromerobert@gmx.com>  Fri, 10 Sep 2021 09:53:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper-compat (= 12), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: https://github.com/jeromerobert/k4dirstat

## k4dirstat 3.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
-git_version(K4DIRSTAT_VERSION 3.4.0 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.4.2 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
ecm_install_icons(ICONS
                  16-apps-k4dirstat.png
                  32-apps-k4dirstat.png
                  48-apps-k4dirstat.png
                  sc-apps-k4dirstat.svgz
                  DESTINATION share/icons)

=== debian/changelog ===
k4dirstat (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2
    - Fix a floating point exception with go-mtpfs
    - Remove inode/directory MIME type (LP: #1970925, LP: #1912190)
  * Bump Standards-Version

 -- Jérôme Robert <jeromerobert@gmx.com>  Sun, 14 Aug 2022 14:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper-compat (= 12), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: https://github.com/jeromerobert/k4dirstat

## k4dirstat 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
-git_version(K4DIRSTAT_VERSION 3.4.2 k4dirstat-)
+git_version(K4DIRSTAT_VERSION 3.4.3 k4dirstat-)
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )

=== debian/changelog ===
k4dirstat (3.4.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:06:17 +1100

k4dirstat (3.4.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:40:11 +0000

k4dirstat (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
    - Fix a crash when right-clicking in the treeview not on an item
    - Remove "KLocalizedString: Using an empty domain" flood
      (closes: #1034320)
  * Bump Standards-Version

 -- Jerome Robert <jeromerobert@gmx.com>  Mon, 19 Jun 2023 21:31:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: k4dirstat
 Section: misc
 Priority: optional
-Maintainer: Jerome Robert <jeromerobert@gmx.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jerome Robert <jeromerobert@gmx.com>
 Build-Depends: debhelper-compat (= 12), pkg-kde-tools, cmake, zlib1g-dev, extra-cmake-modules,
  libkf5xmlgui-dev, libkf5doctools-dev, libkf5kio-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/jeromerobert-guest/k4dirstat
 Vcs-Git: https://salsa.debian.org/jeromerobert-guest/k4dirstat.git
 Homepage: https://github.com/jeromerobert/k4dirstat

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DK4DIRSTAT_GIT_VERSION=OFF

override_dh_auto_install:
	dh_auto_install --buildsystem=kf5
